The Magic of Ordinary Neighs - quest completed, but still appearing on map
Closed, ResolvedPublic

Description

What is happening:
Quest is completed but last item in list is still marked as active in Journal, appearing on the map (exclamation mark) and interaction with character Parsley does not complete it.

What should be happening:
Quest completed, not appearing on the map and all items in list in Journal marked as done. No exclamation mark on the map or above Parsley character

Steps to reproduce the issue:
Not sure how this happenned...

Reproduced by:

Screenshots:
https://imgur.com/ifiaaU0

Jamis created this task.Jan 15 2019, 12:18 PM
Jamis updated the task description. (Show Details)Jan 19 2019, 11:46 AM

The NPC 'Old Quest Marker Fix' in Cantermore (just to the side of the train station entrance) can fix some issues like this. Please try speaking to him, and see if he is able to resolve this issue; if not, please respond to this ticket again to let us know.

Jamis added a comment.Mar 6 2019, 8:55 AM

Already tried, but there is no option for fixing this quest. The options that 'Old Quest Marker Fix' offers:

I've still got quest markers after helping
Fission Mailed is complete, but I still see a marker over Sugar and Spice.
I can't see the ice and snow in Ponydale
Still seeing a marker on Prince Overwatch?
Chlorophiliac Klondike's marker left.
Pyrite's package
Mindless Violins
Supplying the Hospital Finished
Graduation finished, but seeing doubles!
Are you a Princess Too? leftover objective
Equestrian Werepony quest active
Rehersal Roundup leftover markers
We'll Fix it in Post
The Good Egg
Safely Home
Can you Hear Me Now?
Grownup and still seeing foals and no TenSeven
None at all

Rattletrap closed this task as Resolved.May 29 2019, 1:33 AM

A fix has been added via Old Quest Marker Fix. Check with him after the next server reset and he should have an Option "I finished the Magic of Ordinary Neighs, but Parsley still shows a marker." Choosing that option should fix the issue.

Jamis added a comment.EditedJun 3 2019, 12:38 PM

Unfortunately, there has been a server reset already (at least what I've experienced as a player) but this option does not show up. Here is the list I see with Old Quest Marker Fix:

Can you Hear Me Now?
I've still got quest markers after helping Peacebloom
Chlorophiliac Klondike's marker left
Still seeing a marker on Prince Overwatch?
I still have a quest marker for Final Ink after I returned Skyhammer's book
Dancer still shows a quest marker even though I finished Dandelion Tamer.
Graduation finished, but seeing doubles!
Leftover markers over Frizzy, Windhover, or Starburst.
Grownup and still seeing foals and no TenSeven
Fission Mailed is complete, but I still see a marker over Sugar and Spice.
We'll Fix it in Post
The Good Egg
Pyrite's package
Mindless Violins marker left over Pyrite
Are you a Princess Too? leftover objective
Stuck with a lots of music sheets after giving out a bunch for Rehearsal Roundup
Rehersal Roundup leftover markers
I solved the mystery of the missing cookies, but Flan still has a marker
Ancient Aviator didn't give me a lantern even after I listened to his tale twice!
Safey Home. Mellow Cloud still has a Marker.
Supplying the Hospital Finished and marker still showing over Marvell.
Supplying the Hospital the Nurse Coldhoof has a leftover marker
Equestrian Werepony quest active
None at all